Communauté
BIM Revit, BIM et Autodesk Construction Cloud (ACC) - Français
Bienvenue sur le forum AEC francophone dédié aux solutions BIM de la société Autodesk. Cet espace est dédié aux professionnels et passionnés du secteur de l'Architecture, de l'Ingénierie et de la Construction (AEC) qui utilisent le logiciel Revit ainsi que les plateformes collaboratives d'Autodesk (ACC et Autodesk Forma). Partagez vos connaissances, posez des questions, collaborez sur des idées, et explorez les sujets, que vous soyez architecte, ingénieur, gestionnaire de projet ou tout autre acteur de l'AEC.
annuler
Affichage des résultats de 
Afficher  uniquement  | Rechercher plutôt 
Vouliez-vous dire : 

[Revit] Comment afficher le delta en X et en Y lorsqu'on se renseigne sur une distance entre 2 points ?

7 RÉPONSES 7
RÉSOLU
Répondre
Message 1 sur 8
_Steven_
385 Visites, 7 Réponses

[Revit] Comment afficher le delta en X et en Y lorsqu'on se renseigne sur une distance entre 2 points ?

Salut à tous,

 

Lorsqu'on prend une distance sur AutoCAD, entre 2 points, AutoCAD nous renseigne sur la distance entre les deux points spécifiés et nous donne aussi la distance linéaire X et Y.

 

DISTANCE_ACAD.png

 

Sur Revit lorsqu'on prend la distance entre deux points, Revit nous renseigne sur la distance entre les deux points spécifiés et l'angle décrit par les deux points.

 

DISTANCE_REVIT.png

Y a-t-i un moyen d'afficher, comme sur AutoCAD, le linéaire Y et Y sans passer par l'outil de cotation ?

Steven

Ce post vous a été utile ? N'hésitez pas à aimer ce post.
Ce post a-t-il répondu à votre question ? Cliquez sur le bouton APPROUVER LA SOLUTION en dessous de la réponse.



« L’homme de bien n’exige pas de l’autre qu’il soit parfait, il l’aide à accomplir ce qu’il a en lui de meilleur. »
Lao Tseu
7 RÉPONSES 7
Message 2 sur 8
christian.stan
en réponse à: _Steven_

Bonjour, en appuyant sur Shift il affiche Y ou X suivant la position angulaire mais pas les 3 en même temps

pour information (edit borné à l'accrochage polaire en fait)

cordialement

christian.stan

Message 3 sur 8
_Steven_
en réponse à: christian.stan

Bonjour @christian.stan,

 

Merci pour cette solution qui demande à contraindre le réticule à aller à 0 ou 90° 😉

Pas vraiment ce que j'aurais souhaité mais je m'en contenterais pour le moment.

Steven

Ce post vous a été utile ? N'hésitez pas à aimer ce post.
Ce post a-t-il répondu à votre question ? Cliquez sur le bouton APPROUVER LA SOLUTION en dessous de la réponse.



« L’homme de bien n’exige pas de l’autre qu’il soit parfait, il l’aide à accomplir ce qu’il a en lui de meilleur. »
Lao Tseu
Message 4 sur 8
francis_l-haridon
en réponse à: _Steven_

Bonjour

 

Tu peux aussi tracer un rectangle en ligne de détail par exemple.

 

@ plus

Message 5 sur 8
_Steven_
en réponse à: francis_l-haridon

Bonjour @francis_l-haridon,

 

Le but n'est pas de dessiner un rectangle mais de connaître la distance entre deux point avec le delta en X et en Y.

Su les copies d'écran, les rectangles sont pour les exemples.

Steven

Ce post vous a été utile ? N'hésitez pas à aimer ce post.
Ce post a-t-il répondu à votre question ? Cliquez sur le bouton APPROUVER LA SOLUTION en dessous de la réponse.



« L’homme de bien n’exige pas de l’autre qu’il soit parfait, il l’aide à accomplir ce qu’il a en lui de meilleur. »
Lao Tseu
Message 6 sur 8
francis_l-haridon
en réponse à: _Steven_

Bonjour

 

En traçant ce rectangle, tu auras, temporairement, les informations que tu demandes, sa longueur et sa largeur.

 

@ plus

Message 7 sur 8
_Steven_
en réponse à: francis_l-haridon


@francis_l-haridon  a écrit :

Bonjour

 

En traçant ce rectangle, tu auras, temporairement, les informations que tu demandes, sa longueur et sa largeur.

 

@ plus


Jolie astuce 👍

Steven

Ce post vous a été utile ? N'hésitez pas à aimer ce post.
Ce post a-t-il répondu à votre question ? Cliquez sur le bouton APPROUVER LA SOLUTION en dessous de la réponse.



« L’homme de bien n’exige pas de l’autre qu’il soit parfait, il l’aide à accomplir ce qu’il a en lui de meilleur. »
Lao Tseu
Message 8 sur 8
christian.stan
en réponse à: _Steven_

Voici avec une solution dynamo (Je ne suis pas encore des plus alertes, je progresse pas à pas)

christianstan_0-1688570016187.png

 

import clr

clr.AddReference('ProtoGeometry')
from Autodesk.DesignScript.Geometry import *
clr.AddReference("RevitNodes")
import Revit
clr.ImportExtensions(Revit.Elements)
clr.ImportExtensions(Revit.GeometryConversion)
clr.AddReference("RevitServices")
import RevitServices
from RevitServices.Persistence import DocumentManager 
from RevitServices.Transactions import TransactionManager 

clr.AddReference("RevitAPI")
clr.AddReference("RevitAPIUI")

import Autodesk 
from Autodesk.Revit.DB import *
from Autodesk.Revit.UI import *

doc = DocumentManager.Instance.CurrentDBDocument
uiapp = DocumentManager.Instance.CurrentUIApplication 
app = uiapp.Application 
uidoc = uiapp.ActiveUIDocument

snapTypes=Selection.ObjectSnapTypes.Intersections
if IN[0]:
    PA=uidoc.Selection.PickPoint(snapTypes,'Selection du Point A')
    PB=uidoc.Selection.PickPoint(snapTypes,'Selection du Point B')

PA_Dyn=PA.ToPoint()
PB_Dyn=PB.ToPoint()
deltaX=str(round(PB_Dyn.X-PA_Dyn.X,3))+' m'
deltaY=str(round(PB_Dyn.Y-PA_Dyn.Y,3))+' m'
Long=str(round(((PB_Dyn.X-PA_Dyn.X)**2+(PB_Dyn.Y-PA_Dyn.Y)**2)**0.5,3))+' m'
TaskDialog.Show('Delta X - Delta Y - Longueur',deltaX+ " - " + deltaY + "  - " + Long)
OUT = deltaX,deltaY,Long

 

christianstan_0-1688570170736.png

 

Vous n'avez pas trouvé ce que vous recherchiez ? Posez une question à la communauté ou partagez vos connaissances.

Publier dans les forums  

Autodesk Design & Make Report